Create parent balance

Create a new customer and a composite balance parent for that customer.

This endpoint registers the customer’s personal information, assigns the appropriate KYC level, creates the initial balance, and generates OAuth tokens for immediate authentication.

If composite balances are enabled for the e-commerce, a composite balance parent structure is automatically created. All operations are transactional—if any step fails, the entire process is rolled back to ensure data consistency.

The schema for composite_balance.parent JSON

KeyTypeMax lengthRequiredDescriptionExample value
parentobjectN/AtrueInformation about the composite balance parent to be createdSee below for schema

The schema for composite_balance.parent JSON

KeyTypeMax lengthRequiredDescriptionExample value
credit_lineintN/AtrueThe composite balance parent’s credit line in Mexican cents10000000

Successfully Response

The response's schema up to depth 1 is:

{
  "rs": Object,
  "en": Object
}

Where the err JSON will contain information on any error that may have occurred and will be null if the whole account creation process was completed successfully.

The rs JSON contains a number of fields used for validating the new account’s creation, except for the following which must be saved to be used when communicating with other endpoints.

The parent object's schema is:

{
  "rs": {
    "account_level": 1,
    "account_status": 1,
    "account_status_string": "Active",
    "address": "",
    "address_document_back": "",
    "address_document_back_url": "",
    "address_document_front": "",
    "address_document_front_url": "",
    "address_document_type": 0,
    "are_account_resources_of_user": false,
    "business_name": "",
    "business_purpose": "",
    "clabe": "",
    "city": "",
    "colony": "",
    "constitution_date": "",
    "correspondence_address": "",
    "country_of_birth": "",
    "date_of_birth": "",
    "ecommerce_id": 91,
    "email": "[email protected]",
    "exterior": "",
    "first_name": "Juan",
    "gender": 2,
    "gender_string": "Male",
    "id": 85,
    "identification_document_back": "",
    "identification_document_back_url": "",
    "identification_document_front": "",
    "identification_document_front_url": "",
    "identification_document_type": 0,
    "interior": "",
    "is_business": false,
    "last_name": "Pérez",
    "mobile": 4958129198,
    "mobile_country_code": "52",
    "nationality_id": 0,
    "oauth_token": "ad189de7f4205b9ae6564bcc518541eec690e28d48d2ddd34b92ac04054eea81",
    "occupation_id": 0,
    "person_type": 1,
    "private_key": "sk_d3eed26644afbda16544db7639a6bb250ffaea17b7b21762a6a4fb0fcf954559",
    "rfc": "AAA000101055",
    "refresh_token": "28f352fa15967f8e8e45eb4b0d81bca832bc2d9fd067be9a33750d1043eb0ded",
    "risk_level": 0,
    "second_last_name": "Gómez",
    "society_type": 0,
    "selfie": "",
    "selfie_url": "",
    "state_id": 0,
    "street": "",
    "telephone": "",
    "zipcode": "",
    "composite_balance": {
      "parent": {
        "id": "66acce83856147e791206ca90a6e4b6d"
      }
    }
  },
  "err": null
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
enum
required

1= female 2= male 3= other

Allowed:
string
required
length ≤ 64

64 character-long hexadecimal string. Must be unique by customer

integer
required

The user’s mobile number without country code (10 characters)

string
required
length ≤ 255

The customer’s first name

string
required
length ≤ 255

The customer’s first last name

string
length ≤ 255

The customer’s second last name

string
required
length ≤ 255

The customer’s RFC

integer

The customer’s home zipcode

string
length ≤ 255

A password

integer
enum
required

Constant equal to 1

Allowed:
uri
length ≤ 255

A url to the customer’s linkedin profile

string
required
length ≤ 255

The customer’s email address

string

Contains information about the composite balance-related objects to be created. Must be a JSON string.

Headers
string
required

OAuth token belonging to the e-commerce

Responses

{
  "err": {
    "gender": "Invalid Expected Female(1), Male(2), or Other(3)"
  }
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json